/********************************* Header *********************************/
.cal-daysviewpanel-header {
    position: relative;
    border-bottom: 1px solid #F0F0F0;
}

.cal-daysviewpanel-header-inner {
    position: relative;
    background:#F9F9F9 url(../../library/ExtJS/resources/images/default/grid/grid3-hrow.gif) repeat-x scroll 0 top;
}

.cal-daysviewpanel-dayheader-today, .cal-daysviewpanel-dayheader-day-wrap:hover {
    background:#EBF3FD url(../../library/ExtJS/resources/images/default/grid/grid3-hrow-over.gif) repeat-x scroll 0 bottom;
    /*cursor: pointer; see ticket #1484*/
}

.cal-daysviewpanel-header-offset {
    position: relative;
    /*right:0;*/
    top:0;
}

.cal-daysviewpanel-daysheader {
    height: 24px;
    margin-left:45px;
    margin-right:15px;
    cursor:default;
    padding:1px 0 0;
}

.cal-daysviewpanel-dayheader {
	float: left;
}

.cal-daysviewpanel-dayheader-day {
	padding-top: 3px;
	text-align: center;
	color:black;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:11px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
    overflow: hidden;
}

.cal-daysviewpanel-dayheader-day-wrap {
    border-left: 3px double #E1E1E1;
    height: 23px;
}

.cal-daysviewpanel-wholedayheader-scroller {
    overflow-y: scroll;
    overflow-x: hidden;
}

.cal-daysviewpanel-wholedayheader {
    position: relative;
    margin-left:45px;
}
/********************************* Body *********************************/
.cal-daysviewpanel-body-inner {
	position: relative;
	top: 0px;
	left: 0px;
}

.cal-daysviewpanel-scroller {
	border-top: 1px solid #D0D0D0;
    overflow:auto;
    position:relative;
}

.cal-daysviewpanel-body-daycolumns {
    position:absolute;
    left:45px;
    right:0;
    top:0;
}

.cal-daysviewpanel-body-daycolumn {
	float: left;
	position: absolute;
	overflow: hidden;
}

/*
.cal-daysviewpanel-body-daycolumn-hint-above {
    width: 16px;
    height: 16px;
    background-image: url(../../images/oxygen/16x16/actions/go-up.png);
    position: absolute;
    right: 5px;
    z-index: 1000;
    cursor: pointer;
    display: none;
}

.cal-daysviewpanel-body-daycolumn-hint-below {
    width: 16px;
    height: 16px;
    background-image: url(../../images/oxygen/16x16/actions/go-down.png);
    position: absolute;
    right: 5px;
    z-index: 1000;
    cursor: pointer;
    display: none;
}
*/
.cal-daysviewpanel-body-daycolumn-hint-above {
    width: 9px;
    height: 9px;
    background-image: url(../../library/ExtJS/resources/images/default/grid/col-move-bottom.gif);
    position: absolute;
    right: 5px;
    z-index: 1000;
    cursor: pointer;
    display: none;
}

.cal-daysviewpanel-body-daycolumn-hint-below {
    width: 9px;
    height: 9px;
    background-image: url(../../library/ExtJS/resources/images/default/grid/col-move-top.gif);
    position: absolute;
    right: 5px;
    z-index: 1000;
    cursor: pointer;
    display: none;
}

.cal-daysviewpanel-body-daycolumn-today {
    background-color: #EBF3FD;
}

.cal-daysviewpanel-body-daycolumn-today .cal-daysviewpanel-daycolumn-row-on {
	border-top: 1px solid #EDEDED;
}

.cal-daysviewpanel-body-daycolumn-inner {
	border-left: 3px double #EDEDED;
	height:100%;
    position:absolute;
    top:0;
}

.cal-daysviewpanel-daycolumn-row {
	margin-left: 3px;
	text-align: right;
	font-family:arial,tahoma,helvetica,sans-serif;
    font-size:10px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
    color: #FFFFFF;
}

.cal-daysviewpanel-body-daycolumn-today .cal-daysviewpanel-daycolumn-row {
    color: #EBF3FD;
}

.cal-daysviewpanel-daycolumn-row:hover {
	background-color:#DFE8F6;
	color: #999999;
    /*cursor: pointer; see ticket #1484*/
}

.cal-daysviewpanel-timeRow-time {
	width: 40px;
	padding-top: 2px;
	text-align: right;
	color:black;
	font-family:arial,tahoma,helvetica,sans-serif;
	font-size:11px;
	font-size-adjust:none;
	font-style:normal;
	font-variant:normal;
	font-weight:normal;
	line-height:normal;
	white-space:nowrap;
}


.cal-daysviewpanel-timeRow-on {
	border-top: 1px solid #EDEDED;
	position: absolute;
	width: 100%;
	/*background-color:#F1F1F1;*/
}
.cal-daysviewpanel-timeRow-off {
	width: 100%;
	position: absolute;
	/*background-color:#FFFFFF;*/
}

.cal-daysviewpanel-daycolumn-row-on,
.cal-daysviewpanel-daycolumn-row-on {
    height: 100%;
}

.cal-daysviewpanel-daycolumn-row-off {
	border-top: 1px dotted #EDEDED;
}

/********************************* Events *********************************/
.cal-daysviewpanel-event {
	margin-left: 3px;
	background: #EDEDED url(../../images/white-gradiend.png) repeat-y right;
	border-radius: 8px;
    position: absolute;
    border: 1px solid #808080;
    overflow: hidden;
    
    text-align: left;
    color:black;
    font-family:arial,tahoma,helvetica,sans-serif;
    font-size:11px;
    font-size-adjust:none;
    font-style:normal;
    font-variant:normal;
    font-weight:normal;
    line-height:normal;
    white-space:nowrap;
}

.ext-gecko .cal-daysviewpanel-event {
    -moz-border-radius: 8px;
}

.ext-safari .cal-daysviewpanel-event {
    -webkit-border-radius: 8px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event {
    -khtml-border-radius: 8px;
}

.cal-daysviewpanel-event-croptop {
    border-top-style: none;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-croptop {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-topright: 0px;
}

.ext-safari .cal-daysviewpanel-event-croptop {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-top-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-croptop {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-top-right-radius: 0px;
}

.cal-daysviewpanel-event-cropbottom {
    border-bottom-style: none;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-cropbottom {
    -moz-border-radius-bottomleft: 0px;
    -moz-border-radius-bottomright: 0px;
}

.ext-safari .cal-daysviewpanel-event-cropbottom {
    -webkit-border-bottom-left-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-cropbottom {
    -khtml-border-bottom-left-radius: 0px;
    -khtml-border-bottom-right-radius: 0px;
}

.cal-daysviewpanel-event-drop-nodrop .x-dd-drop-icon {
	left: 3px;
	top: 0px;
	background-color: transparent;
    background-image:url(../../library/ExtJS/resources/images/default/dd/drop-no.gif);
}

.cal-daysviewpanel-event-drop-ok .x-dd-drop-icon {
    left: 3px;
    top: 0px;
    background-image:url(../../library/ExtJS/resources/images/default/dd/drop-yes.gif);
}

.cal-daysviewpanel-event-header {
	width: 100%;
	position: absolute;
    top: -1px;
    height: 14px;
    background-color: #808080;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    overflow: hidden;
}

.cal-daysviewpanel-event-editgrant .cal-daysviewpanel-event-header {
    cursor: move;
}

.ext-gecko .cal-daysviewpanel-event-header {
    -moz-border-radius-topleft: 8px;
    -moz-border-radius-topright: 8px;
}

.ext-safari .cal-daysviewpanel-event-header {
    -webkit-border-top-left-radius: 8px;
    -webkit-border-top-right-radius: 8px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-header {
    -khtml-border-top-left-radius: 8px;
    -khtml-border-top-right-radius: 8px;
}

.cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
	display: none;
    border-top-style: none;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-topright: 0px;
}

.ext-safari .cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-top-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-croptop .cal-daysviewpanel-event-header {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-top-right-radius: 0px;
}

.cal-daysviewpanel-event-header-inner {
	color: white;
    position: absolute;
    top: 1px;
    left: 4px;
}

.cal-daysviewpanel-event-header-icons {
    position: absolute;
    right: 4px;
    top: 2px;
}

.cal-daysviewpanel-wholedayheader .cal-daysviewpanel-event-header-icons {
    background: #EDEDED url(../../images/white-gradiend.png) repeat-y right;
    padding-left: 2px;
    top: 3px;
}

.cal-daysviewpanel-wholedayheader .cal-daysviewpanel-event-cropright  .cal-daysviewpanel-event-header-icons {
    background: transparent;
}

.cal-daysviewpanel-event-drop-ok .cal-daysviewpanel-event-header-inner,
.cal-daysviewpanel-event-drop-nodrop .cal-daysviewpanel-event-header-inner {
    left: 17px;
}

.cal-daysviewpanel-event-body {
    position: absolute;
    width: 100%;
    top: 13px;
    padding: 0px 4px;
    white-space: normal;
}

.cal-daysviewpanel-event-tags {
    position: absolute;
    right: 1px;
    bottom: 4px;
}

.cal-daysviewpanel-event-active {
    border-width: 2px;
}

.cal-daysviewpanel-event-onedit {
    border-style: dashed;
}

/****************************** Whole Day Events ******************************/
.cal-daysviewpanel-wholedayheader-daycols {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
}

.cal-daysviewpanel-body-wholedaycolumn {
    position: absolute;
    height: 100%;
}

.cal-daysviewpanel-body-wholedaycolumn-over {
	width: 100%;
    height: 100%;
    /*margin-left: 3px;*/
}

.cal-daysviewpanel-body-wholedaycolumn-over:hover {
    background-color:#DFE8F6;
    /*cursor: pointer; see ticket #1484*/
}

.cal-daysviewpanel-wholedayevent-body {
    top: 1px;
    cursor: move;
    padding: 0px 4px;
    white-space: normal;
}

.cal-daysviewpanel-wholedayevent-tags {
    padding: 1px 2px 0 3px;
}

.cal-daysviewpanel-event-cropleft {
    border-left-style: none;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-cropleft {
    -moz-border-radius-topleft: 0px;
    -moz-border-radius-bottomleft: 0px;
}

.ext-safari .cal-daysviewpanel-event-cropleft {
    -webkit-border-top-left-radius: 0px;
    -webkit-border-bottom-left-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-cropleft {
    -khtml-border-top-left-radius: 0px;
    -khtml-border-bottom-left-radius: 0px;
}

.cal-daysviewpanel-event-cropright {
	background-image: none;
    border-right-style: hidden;
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.ext-gecko .cal-daysviewpanel-event-cropright {
    -moz-border-radius-topright: 0px;
    -moz-border-radius-bottomright: 0px;
}

.ext-safari .cal-daysviewpanel-event-cropright {
    -webkit-border-top-right-radius: 0px;
    -webkit-border-bottom-right-radius: 0px;
}

/** todo: add khtml switch **/
.cal-daysviewpanel-event-cropright {
    -khtml-border-top-right-radius: 0px;
    -khtml-border-bottom-right-radius: 0px;
}

.cal-daysviewpanel-wholedayevent-body .x-form-text {
	position: absolute;
	top: 0px;
    padding-top: 0px;
    height: 11px;
}
.cal-daysviewpanel-wholedayevent-body .x-form-field {
    height: 11px;
    font-size: 10px;
}
